// Code generated by go-swagger; DO NOT EDIT.

package engines

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"context"
	"net/http"
	"time"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	cr "github.com/go-openapi/runtime/client"

	strfmt "github.com/go-openapi/strfmt"
)

// NewGetOryAccessControlPolicyParams creates a new GetOryAccessControlPolicyParams object
// with the default values initialized.
func NewGetOryAccessControlPolicyParams() *GetOryAccessControlPolicyParams {
	var ()
	return &GetOryAccessControlPolicyParams{

		timeout: cr.DefaultTimeout,
	}
}

// NewGetOryAccessControlPolicyParamsWithTimeout creates a new GetOryAccessControlPolicyParams object
// with the default values initialized, and the ability to set a timeout on a request
func NewGetOryAccessControlPolicyParamsWithTimeout(timeout time.Duration) *GetOryAccessControlPolicyParams {
	var ()
	return &GetOryAccessControlPolicyParams{

		timeout: timeout,
	}
}

// NewGetOryAccessControlPolicyParamsWithContext creates a new GetOryAccessControlPolicyParams object
// with the default values initialized, and the ability to set a context for a request
func NewGetOryAccessControlPolicyParamsWithContext(ctx context.Context) *GetOryAccessControlPolicyParams {
	var ()
	return &GetOryAccessControlPolicyParams{

		Context: ctx,
	}
}

// NewGetOryAccessControlPolicyParamsWithHTTPClient creates a new GetOryAccessControlPolicyParams object
// with the default values initialized, and the ability to set a custom HTTPClient for a request
func NewGetOryAccessControlPolicyParamsWithHTTPClient(client *http.Client) *GetOryAccessControlPolicyParams {
	var ()
	return &GetOryAccessControlPolicyParams{
		HTTPClient: client,
	}
}

/*GetOryAccessControlPolicyParams contains all the parameters to send to the API endpoint
for the get ory access control policy operation typically these are written to a http.Request
*/
type GetOryAccessControlPolicyParams struct {

	/*Flavor
	  The ORY Access Control Policy flavor. Can be "regex", "glob", and "exact".

	*/
	Flavor string
	/*ID
	  The ID of the ORY Access Control Policy Role.

	*/
	ID string

	timeout    time.Duration
	Context    context.Context
	HTTPClient *http.Client
}

// WithTimeout adds the timeout to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) WithTimeout(timeout time.Duration) *GetOryAccessControlPolicyParams {
	o.SetTimeout(timeout)
	return o
}

// SetTimeout adds the timeout to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) SetTimeout(timeout time.Duration) {
	o.timeout = timeout
}

// WithContext adds the context to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) WithContext(ctx context.Context) *GetOryAccessControlPolicyParams {
	o.SetContext(ctx)
	return o
}

// SetContext adds the context to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) SetContext(ctx context.Context) {
	o.Context = ctx
}

// WithHTTPClient adds the HTTPClient to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) WithHTTPClient(client *http.Client) *GetOryAccessControlPolicyParams {
	o.SetHTTPClient(client)
	return o
}

// SetHTTPClient adds the HTTPClient to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) SetHTTPClient(client *http.Client) {
	o.HTTPClient = client
}

// WithFlavor adds the flavor to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) WithFlavor(flavor string) *GetOryAccessControlPolicyParams {
	o.SetFlavor(flavor)
	return o
}

// SetFlavor adds the flavor to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) SetFlavor(flavor string) {
	o.Flavor = flavor
}

// WithID adds the id to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) WithID(id string) *GetOryAccessControlPolicyParams {
	o.SetID(id)
	return o
}

// SetID adds the id to the get ory access control policy params
func (o *GetOryAccessControlPolicyParams) SetID(id string) {
	o.ID = id
}

// WriteToRequest writes these params to a swagger request
func (o *GetOryAccessControlPolicyParams) WriteToRequest(r runtime.ClientRequest, reg strfmt.Registry) error {

	if err := r.SetTimeout(o.timeout); err != nil {
		return err
	}
	var res []error

	// path param flavor
	if err := r.SetPathParam("flavor", o.Flavor); err != nil {
		return err
	}

	// path param id
	if err := r.SetPathParam("id", o.ID); err != nil {
		return err
	}

	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}
